apt 3.2.0 commandline package manager

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
HashString Class Reference

## Public Member Functions
| HashString (std::string Type, std::string Hash)
| HashString (std::string_view StringedHashString)
std::string | HashType () const
std::string | HashValue () const
bool | VerifyFile (std::string filename) const
bool | FromFile (std::string filename)
std::string | toStr () const
bool | empty () const
bool | usable () const
bool | operator== (HashString const &other) const
bool | operator!= (HashString const &other) const

## Static Public Member Functions
static APT_PURE const char ** | SupportedHashes ()

## Protected Member Functions
std::string | GetHashForFile (std::string filename) const

## Protected Attributes
std::string | Type
std::string | Hash

## Static Protected Attributes
static const char * | _SupportedHashes [10]

## Member Data Documentation

## ◆ _SupportedHashes

const char * _SupportedHashes
| static protected

Initial value:
=
{
"SHA512", "SHA256", "SHA1", "MD5Sum", "Checksum-FileSize", NULL
}

The documentation for this class was generated from the following files:

- apt-pkg/contrib/hashes.h
- apt-pkg/contrib/hashes.cc